[PATCH v1 04/11] selftests: forwarding: gre_multipath_nh_res.sh: add cleanup for SIGTERM sent by timeout

From: Mirsad Todorovac
Date: Fri Jul 21 2023 - 20:37:33 EST


Add trap and cleanup for SIGTERM sent by timeout and SIGINT from
keyboard, for the test times out and leaves incoherent network stack.

Fixes: 902280cacc036 ("selftests: forwarding: Add resilient multipath tunneling nexthop test")
Cc: Ido Schimmel <idosch@xxxxxxxxxx>
Cc: netdev@xxxxxxxxxxxxxxx
---
tools/testing/selftests/net/forwarding/gre_multipath_nh_res.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/forwarding/gre_multipath_nh_res.sh b/tools/testing/selftests/net/forwarding/gre_multipath_nh_res.sh
index 088b65e64d66..83032c165c65 100755
--- a/tools/testing/selftests/net/forwarding/gre_multipath_nh_res.sh
+++ b/tools/testing/selftests/net/forwarding/gre_multipath_nh_res.sh
@@ -352,7 +352,7 @@ multipath_ipv6_l4()
multipath6_l4_test "Weighted MP 11:45" 11 45
}

-trap cleanup EXIT
+trap cleanup INT TERM EXIT

setup_prepare
setup_wait
--
2.34.1